View Issue Details

IDProjectCategoryView StatusLast Update
16205Bug reportsSurvey takingpublic2020-08-12 10:10
Reportertpartner Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.2.1 
Summary16205: Slider left/right text and min/max not displayed correctly
Description

See attached screen-shots.

1) The min/max values are not rendered at all.

2) The left/right text values are still appended to the sub-question text.

Steps To Reproduce

Survey attached.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.2.1
I will donate to the project if issue is resolvedNo
BrowserN/A
Database & DB-Versionmysqlnd 5.0.12
Server OS (if known)Windows 10
Webserver software & version (if known)Apache/2.4.39 (Win64)
PHP Version7.3.7

Activities

tpartner

tpartner

2020-04-29 15:42

developer  

capture_5.png (33,100 bytes)   
capture_5.png (33,100 bytes)   
capture_6.png (7,783 bytes)   
capture_6.png (7,783 bytes)   
gabrieljenik

gabrieljenik

2020-07-28 19:17

developer   ~59130

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1509

user225042

2020-08-03 15:14

  ~59268

Last edited: 2020-08-10 16:28

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1: Before Pulling PR the left and right values are appended to sub question
Screenshot 2: After Pulling PR the left and right values are not appended to sub question but the values -100 and +100 are not shown on the slider
Please refer the attachment for more details

16205_MinMax_Value.png (99,842 bytes)   
16205_MinMax_Value.png (99,842 bytes)   

user225042

2020-08-03 17:39

  ~59270

Last edited: 2020-08-10 16:28

@gabrieljenik This has to display the min and max values on slider i cross-checked in LTS.Please refer attachment

Values displayed.png (151,196 bytes)
gabrieljenik

gabrieljenik

2020-08-04 18:29

developer   ~59302

Last edited: 2020-08-10 16:28

Those left/right problems were sovled on 15758.

user225042

2020-08-05 16:23

  ~59327

Last edited: 2020-08-10 16:28

Ok I tested it, Working as expected

gabrieljenik

gabrieljenik

2020-08-10 15:59

developer   ~59393

Last edited: 2020-08-10 16:28

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30361

lime_release_bot

lime_release_bot

2020-08-12 10:10

administrator   ~59431

Fixed in Release 4.3.10+200812

Related Changesets

LimeSurvey: master 44e977ed

2020-08-10 15:41:14

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16205: Slider left/right text and min/max not displayed correctly (#1509)

The renderer was correctly processing the subquestion text to strip the labels, but ended passing the original subquestion text to the view.
Affected Issues
16205
mod - application/core/QuestionTypes/MultipleNumericalQuestion/RenderMultipleNumerical.php Diff File

Issue History

Date Modified Username Field Change
2020-04-29 15:42 tpartner New Issue
2020-04-29 15:42 tpartner Status new => assigned
2020-04-29 15:42 tpartner Assigned To => cdorin
2020-04-29 15:42 tpartner File Added: limesurvey_survey_123488.lss
2020-04-29 15:42 tpartner File Added: capture_5.png
2020-04-29 15:42 tpartner File Added: capture_6.png
2020-04-29 16:02 tpartner Description Updated View Revisions
2020-07-09 16:51 cdorin Assigned To cdorin =>
2020-07-09 16:51 cdorin Priority none => normal
2020-07-28 19:17 gabrieljenik Note Added: 59130
2020-08-03 15:14 user225042 Note Added: 59268
2020-08-03 15:14 user225042 File Added: 16205_MinMax_Value.png
2020-08-03 17:39 user225042 Note Added: 59270
2020-08-03 17:39 user225042 File Added: Values displayed.png
2020-08-04 18:29 gabrieljenik Note Added: 59302
2020-08-05 16:23 user225042 Note Added: 59327
2020-08-10 15:59 gabrieljenik Changeset attached => LimeSurvey master 44e977ed
2020-08-10 15:59 gabrieljenik Note Added: 59393
2020-08-10 15:59 gabrieljenik Assigned To => gabrieljenik
2020-08-10 15:59 gabrieljenik Resolution open => fixed
2020-08-10 16:28 swendrich Status assigned => resolved
2020-08-12 10:10 lime_release_bot Note Added: 59431
2020-08-12 10:10 lime_release_bot Status resolved => closed